# applySystemVersionMigration | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applySystemVersionMigration

- applySystemVersionMigration(data: SystemSaveData ): void

  Converts incoming `SystemSaveData` that has a version below the current version number listed in `package.json`.

  Note that no transforms act on the `data` if its version matches the current version or if there are no migrations made between its version up to the current version.

  #### Parameters

  - data: SystemSaveData

    `SystemSaveData`

  #### Returns void

  #### See

  SystemVersionConverter

  - Defined in src/system/version_migration/version_converter.ts:28